org.apache.ignite.cache.store.jdbc

## Class JdbcType

- java.lang.Object
- - org.apache.ignite.cache.store.jdbc.JdbcType

- All Implemented Interfaces:
    Serializable

      public class JdbcType
      extends Object
      implements Serializable

  Description for type that could be stored into database by store.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcType()` Empty constructor (all values are initialized to their defaults).
    `JdbcType(JdbcType type)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCacheName()` Gets associated cache name.
    `String` | `getDatabaseSchema()` Gets database schema name.
    `String` | `getDatabaseTable()` Gets table name in database.
    `JdbcTypeField[]` | `getKeyFields()` Gets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).
    `String` | `getKeyType()` Gets key type.
    `JdbcTypeField[]` | `getValueFields()` Gets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).
    `String` | `getValueType()` Gets value type.
    `JdbcType` | `setCacheName(String cacheName)` Sets associated cache name.
    `JdbcType` | `setDatabaseSchema(String dbSchema)` Sets database schema name.
    `JdbcType` | `setDatabaseTable(String dbTbl)` Table name in database.
    `JdbcType` | `setKeyFields(JdbcTypeField... keyFlds)` Sets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).
    `JdbcType` | `setKeyType(Class<?> cls)` Sets key type.
    `JdbcType` | `setKeyType(String keyType)` Sets key type.
    `JdbcType` | `setValueFields(JdbcTypeField... valFlds)` Sets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).
    `JdbcType` | `setValueType(Class<?> cls)` Sets value type.
    `JdbcType` | `setValueType(String valType)` Sets value type.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcType

          public JdbcType()

      Empty constructor (all values are initialized to their defaults).

    - #### JdbcType

          public JdbcType(JdbcType type)

      Copy constructor.
      Parameters:
        `type` - Type to copy.

  - ### Method Detail

    - #### getCacheName

          public String getCacheName()

      Gets associated cache name.
      Returns:
        Cache name.

    - #### setCacheName

          public JdbcType setCacheName(String cacheName)

      Sets associated cache name.
      Parameters:
        `cacheName` - Cache name.
      Returns:
        `this` for chaining.

    - #### getDatabaseSchema

          public String getDatabaseSchema()

      Gets database schema name.
      Returns:
        Schema name.

    - #### setDatabaseSchema

          public JdbcType setDatabaseSchema(String dbSchema)

      Sets database schema name.
      Parameters:
        `dbSchema` - Schema name.
      Returns:
        `this` for chaining.

    - #### getDatabaseTable

          public String getDatabaseTable()

      Gets table name in database.
      Returns:
        Table name in database.

    - #### setDatabaseTable

          public JdbcType setDatabaseTable(String dbTbl)

      Table name in database.
      Parameters:
        `dbTbl` - Table name in database.
      Returns:
        `this` for chaining.

    - #### getKeyType

          public String getKeyType()

      Gets key type.
      Returns:
        Key type.

    - #### setKeyType

          public JdbcType setKeyType(String keyType)

      Sets key type.
      Parameters:
        `keyType` - Key type.
      Returns:
        `this` for chaining.

    - #### setKeyType

          public JdbcType setKeyType(Class<?> cls)

      Sets key type.
      Parameters:
        `cls` - Key type class.
      Returns:
        `this` for chaining.

    - #### getValueType

          public String getValueType()

      Gets value type.
      Returns:
        Key type.

    - #### setValueType

          public JdbcType setValueType(String valType)

      Sets value type.
      Parameters:
        `valType` - Value type.
      Returns:
        `this` for chaining.

    - #### setValueType

          public JdbcType setValueType(Class<?> cls)

      Sets value type.
      Parameters:
        `cls` - Value type class.
      Returns:
        `this` for chaining.

    - #### getKeyFields

          public JdbcTypeField[] getKeyFields()

      Gets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).
      Returns:
        Persistent key fields.

    - #### setKeyFields

          public JdbcType setKeyFields(JdbcTypeField... keyFlds)

      Sets optional persistent key fields (needed only if `CacheJdbcPojoStore` is used).
      Parameters:
        `keyFlds` - Persistent key fields.
      Returns:
        `this` for chaining.

    - #### getValueFields

          public JdbcTypeField[] getValueFields()

      Gets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).
      Returns:
        Persistent value fields.

    - #### setValueFields

          public JdbcType setValueFields(JdbcTypeField... valFlds)

      Sets optional persistent value fields (needed only if `CacheJdbcPojoStore` is used).
      Parameters:
        `valFlds` - Persistent value fields.
      Returns:
        `this` for chaining.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023